Skip to main content
Version: current [26.x]

LDAP User Cache

Use the LDAP User Cache API to invalidate the authorization for all users and groups or a single user or group in the LDAP user cache.

note

You must be a member of the Dremio ADMIN role to send requests to the LDAP User Cache API.

Invalidate LDAP Authorization for All Users and Groups​

Invalidate all users' and groups' LDAP authorizations.

Method and URL
DELETE /api/v3/cache/authorization

Example​

Request
curl -X DELETE 'https://{hostname}/api/v3/cache/authorization' \
--header 'Authorization: Bearer <dremioAccessToken>' \
--header 'Content-Type: application/json'
Response
No response

Response Status Codes​

204   No Content

401   Unauthorized

404   Not Found

Invalidate LDAP Authorization for a Single User or Group by ID​

Invalidate LDAP authorization for a single user or group by specifying the ID for the user or group.

note

If you do not provide the ID of a user or group in the request URL, Dremio invalidates the LDAP authorization for all users and groups in the cache.

Method and URL
DELETE /api/v3/cache/authorization/{id}

Parameters​

name Path   String (UUID)

Unique identifier of the Dremio user or group whose LDAP authorization you want to invalidate.

Example: 2k8bdk96-b267-4d56-9154-e48v5884h5i8

Example​

Request
curl -X DELETE 'https://{hostname}/api/v3/cache/authorization/2k8bdk96-b267-4d56-9154-e48v5884h5i8' \
--header 'Authorization: Bearer <dremioAccessToken>' \
--header 'Content-Type: application/json'
Response
No response

Response Status Codes​

204   No Content

401   Unauthorized

404   Not Found

Invalidate LDAP Authorization for a Single User or Group by Name​

Invalidate LDAP authorization for a single user or group by specifying the name for the user or group.

note

If you do not provide the name of a user or group in the request URL, Dremio invalidates the LDAP authorization for all users and groups in the cache.

Method and URL
DELETE /api/v3/cache/authorization/{name}

Parameters​

name Path   String

Name for the Dremio user or group whose LDAP authorization you want to invalidate.

Example: exampleuser1

Example​

Request
curl -X DELETE 'https://{hostname}/api/v3/cache/authorization/exampleuser1' \
--header 'Authorization: Bearer <dremioAccessToken>' \
--header 'Content-Type: application/json'
Response
No response

Response Status Codes​

204   No Content

401   Unauthorized

404   Not Found